MySQL plugin installation problems

    • OMV 2.x

    This site uses cookies. By continuing to browse this site, you are agreeing to our Cookie Policy.

    • MySQL plugin installation problems

      New

      I am trying to install MySQL. When I try to install via the webGUI I get the following:

      Display Spoiler
      >>> *************** Error ***************
      Failed to execute command 'export LANG=C; export DEBIAN_FRONTEND=noninteractive; apt-get --yes --force-yes --fix-missing --allow-unauthenticated --reinstall install openmediavault-mysql 2>&1': Reading package lists...

      Building dependency tree...

      Reading state information...

      The following extra packages will be installed:
      libdbd-mysql-perl libmysqlclient18 mysql-client-5.5 mysql-common
      mysql-server mysql-server-5.5 mysql-server-core-5.5 mywebsql php5-mysqlnd
      Suggested packages:
      libterm-readkey-perl tinyca
      Recommended packages:
      libhtml-template-perl
      The following NEW packages will be installed:
      libdbd-mysql-perl libmysqlclient18 mysql-client-5.5 mysql-common
      mysql-server mysql-server-5.5 mysql-server-core-5.5 mywebsql
      openmediavault-mysql php5-mysqlnd
      0 upgraded, 10 newly installed, 0 to remove and 0 not upgraded.
      4 not fully installed or removed.
      Need to get 0 B/10.1 MB of archives.
      After this operation, 100 MB of additional disk space will be used.
      WARNING: The following packages cannot be authenticated!
      mysql-common libmysqlclient18 libdbd-mysql-perl mysql-client-5.5
      mysql-server-core-5.5 mysql-server-5.5 php5-mysqlnd mysql-server mywebsql
      openmediavault-mysql
      Preconfiguring packages ...
      Authentication warning overridden.
      Selecting previously unselected package mysql-common.
      (Reading database ...
      34484 files and directories currently installed.)
      Unpacking mysql-common (from .../mysql-common_5.5.59-0+deb7u1_all.deb) ...
      Selecting previously unselected package libmysqlclient18:amd64.
      Unpacking libmysqlclient18:amd64 (from .../libmysqlclient18_5.5.59-0+deb7u1_amd64.deb) ...
      Selecting previously unselected package libdbd-mysql-perl.
      Unpacking libdbd-mysql-perl (from .../libdbd-mysql-perl_4.021-1+deb7u3_amd64.deb) ...
      Selecting previously unselected package mysql-client-5.5.
      Unpacking mysql-client-5.5 (from .../mysql-client-5.5_5.5.59-0+deb7u1_amd64.deb) ...
      Selecting previously unselected package mysql-server-core-5.5.
      Unpacking mysql-server-core-5.5 (from .../mysql-server-core-5.5_5.5.59-0+deb7u1_amd64.deb) ...
      Processing triggers for man-db ...
      Setting up mysql-common (5.5.59-0+deb7u1) ...
      Selecting previously unselected package mysql-server-5.5.
      (Reading database ...
      34670 files and directories currently installed.)
      Unpacking mysql-server-5.5 (from .../mysql-server-5.5_5.5.59-0+deb7u1_amd64.deb) ...
      Selecting previously unselected package php5-mysqlnd.
      Unpacking php5-mysqlnd (from .../php5-mysqlnd_5.4.45-0+deb7u12_amd64.deb) ...
      Selecting previously unselected package mysql-server.
      Unpacking mysql-server (from .../mysql-server_5.5.59-0+deb7u1_all.deb) ...
      Selecting previously unselected package mywebsql.
      Unpacking mywebsql (from .../mywebsql_3.6-omv4_all.deb) ...
      Selecting previously unselected package openmediavault-mysql.
      Unpacking openmediavault-mysql (from .../openmediavault-mysql_1.0.16_all.deb) ...
      Processing triggers for man-db ...
      Processing triggers for openmediavault ...
      Restarting engine daemon ...
      Setting up php5-fpm (5.4.45-0+deb7u12) ...
      insserv: warning: script 'tellonline' missing LSB tags and overrides
      insserv: There is a loop between service monit and tellonline if stopped
      insserv: loop involving service tellonline at depth 2
      insserv: loop involving service monit at depth 1
      insserv: Stopping tellonline depends on monit and therefore on system facility `$all' which can not be true!
      insserv: exiting now without changing boot order!
      update-rc.d: error: insserv rejected the script header
      dpkg: error processing php5-fpm (--configure):
      subprocess installed post-installation script returned error exit status 1
      Setting up samba (2:3.6.6-6+deb7u15) ...
      insserv: warning: script 'tellonline' missing LSB tags and overrides
      insserv: There is a loop between service monit and tellonline if stopped
      insserv: loop involving service tellonline at depth 2
      insserv: loop involving service monit at depth 1
      insserv: Stopping tellonline depends on monit and therefore on system facility `$all' which can not be true!
      insserv: exiting now without changing boot order!
      update-rc.d: error: insserv rejected the script header
      dpkg: error processing samba (--configure):
      subprocess installed post-installation script returned error exit status 1
      Setting up openssh-server (1:6.0p1-4+deb7u7) ...
      insserv: warning: script 'tellonline' missing LSB tags and overrides
      insserv: There is a loop between service monit and tellonline if stopped
      insserv: loop involving service tellonline at depth 2
      insserv: loop involving service monit at depth 1
      insserv: Stopping tellonline depends on monit and therefore on system facility `$all' which can not be true!
      insserv: exiting now without changing boot order!
      update-rc.d: error: insserv rejected the script header
      dpkg: error processing openssh-server (--configure):
      subprocess installed post-installation script returned error exit status 1
      Setting up rsync (3.0.9-4+deb7u2) ...
      insserv: warning: current start runlevel(s) (empty) of script `rsync' overrides LSB defaults (2 3 4 5).
      insserv: warning: current stop runlevel(s) (2 3 4 5) of script `rsync' overrides LSB defaults (empty).
      insserv: warning: script 'tellonline' missing LSB tags and overrides
      insserv: There is a loop between service monit and tellonline if stopped
      insserv: loop involving service tellonline at depth 2
      insserv: loop involving service monit at depth 1
      insserv: Stopping tellonline depends on monit and therefore on system facility `$all' which can not be true!
      insserv: exiting now without changing boot order!
      update-rc.d: error: insserv rejected the script header
      dpkg: error processing rsync (--configure):
      subprocess installed post-installation script returned error exit status 1
      Setting up libmysqlclient18:amd64 (5.5.59-0+deb7u1) ...
      Setting up libdbd-mysql-perl (4.021-1+deb7u3) ...
      Setting up mysql-client-5.5 (5.5.59-0+deb7u1) ...
      Setting up mysql-server-core-5.5 (5.5.59-0+deb7u1) ...
      Setting up mysql-server-5.5 (5.5.59-0+deb7u1) ...
      Stopping MySQL database server: mysqld
      .
      insserv: warning: script 'tellonline' missing LSB tags and overrides
      insserv: There is a loop between service monit and tellonline if stopped
      insserv: loop involving service tellonline at depth 2
      insserv: loop involving service monit at depth 1
      insserv: Stopping tellonline depends on monit and therefore on system facility `$all' which can not be true!
      insserv: exiting now without changing boot order!
      update-rc.d: error: insserv rejected the script header
      dpkg: error processing mysql-server-5.5 (--configure):
      subprocess installed post-installation script returned error exit status 1
      Setting up php5-mysqlnd (5.4.45-0+deb7u12) ...
      dpkg: dependency problems prevent configuration of mysql-server:
      mysql-server depends on mysql-server-5.5; however:
      Package mysql-server-5.5 is not configured yet.

      dpkg: error processing mysql-server (--configure):
      dependency problems - leaving unconfigured
      Setting up mywebsql (3.6-omv4) ...
      dpkg: dependency problems prevent configuration of openmediavault-mysql:
      openmediavault-mysql depends on mysql-server; however:
      Package mysql-server is not configured yet.

      dpkg: error processing openmediavault-mysql (--configure):
      dependency problems - leaving unconfigured
      Errors were encountered while processing:
      php5-fpm
      samba
      openssh-server
      rsync
      mysql-server-5.5
      mysql-server
      openmediavault-mysql
      Creating index of upgradeable packages ...
      Creating index of openmediavault plugins ...
      E: Sub-process /usr/bin/dpkg returned an error code (1)
      <<< *************************************



      And now I'm getting this error in the webGUI: Failed to get configuration (xpath=//services/mysql)